Subject: bug#31169: 26.1; Emacs 26.1 RC1 (gtk) display issues over SSH/X11 with xming/vcxsrv

From: charlie hemlock <[email-masked]>
Date: Mon, 16 Apr 2018 19:37:44 -0400

> Is this all you see in the Emacs frame?  It looks like a part of a
> frame , did you clip the image, perhaps?  If so, please show all of the
frame.

That was all the frame. Including new attachment  for
clarity. (show a little of background and putty window). I tried resizing
window and same result.

> To make sure this is related to GTK, could you try building with a
> different toolkit, just to see if that build starts as expected?

Attached with "motif" x-toolkit screenshot. .
Appears OK,  but I can't ./configure --with-xwidgets

  > Does it eat CPU cycles?
No - just looked a 'top' output.

> Can you exit it with "C-x C-c" or do you have to kill it by a
signal?
C-x C-x works.

> Can you attach GDB to it (on the GNU/Linux side) and show a C
backtrace?

I attempted to do GDB backtrace even though its starting to get beyond my
comfort zone.
Results attached for CentOS7 and Leap 42.3.  Likely I didn't do this
correctly to be useful - please advise.

Thanks!
CH

On Mon, Apr 16, 2018 at 1:40 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: charlie hemlock <[email-masked]>
> > Date: Sun, 15 Apr 2018 20:09:42 -0400
> >
> > 1. Build emacs 26 RC1 with --with-x-toolkit=gtk3
> >      a. confirm builds and runs ok when run local
> > 2. Login to windows box, launch ssh -X putty session to linux host with
> > emacs 26 installed.  (windows xserver: vcxsrv or xming)
> > 3. emacs -Q
> > 4. Emacs does not display correctly. Missing minibuffer, & can't type in
> buffer.  Compare to attached
> > screenshot.
>
> Is this all you see in the Emacs frame?  It looks like a part of a
> frame, did you clip the image, perhaps?  If so, please show all of the
> frame.
>
> > I can compile Emacs 26.1 RC1 ok, and use it locally on the host fine.
> >
> > However, when attempting to ssh -X to host via PuTTY 0.70 and launch
> the Emacs gui  (emacs -Q), emacs
> > is not displaying correctly. Using Windows xserver program VcXsrv
> (1.19.6.3).
> >
> > See attached screenshot - no default welcome screen, and missing
> minibuffer too.
>
> It sounds like Emacs is hung or infloops somewhere.  Does it eat CPU
> cycles?  Can you exit it with "C-x C-c" or do you have to kill it by a
> signal?  Can you attach GDB to it (on the GNU/Linux side) and show a C
> backtrace?  Please do this several times, restarting Emacs each time,
> to make sure the backtrace points to the same place.
>
> > I suspect this issue is related to some combination of GTK and
> > Xming/VcXsrv, however the behavior does change between Emacs 25.3 and
> 26.1 RC1, see table below:
>
> To make sure this is related to GTK, could you try building with a
> different toolkit, just to see if that build starts as expected?
>
> > Possibly related posts:
> >  -
> > https://emacs.stackexchange.com/questions/40990/emacs-
> aborted-core-dumped-centos-7-0-emacs-25-3-please-help
> >
> >  - https://bugs.launchpad.net/elementaryos/+bug/1355274
> >  - https://bugzilla.gnome.org/show_bug.cgi?id=85715
>
> These don't look related to me, because the problems they describe
> existed before Emacs 25, which you say worked OK for you.
>
> Thanks.
>